/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence;

import com.topcoder.document.index.persistence.impl.Demo;
import com.topcoder.document.index.persistence.impl.PersistenceConfigurationExceptionTest;
import com.topcoder.document.index.persistence.impl.UtilsTest;
import com.topcoder.document.index.persistence.impl.db.AbstractDBIndexPersistenceTest;
import com.topcoder.document.index.persistence.impl.db.CommonDatabaseOperationsOnFastDBTest;
import com.topcoder.document.index.persistence.impl.db.CommonDatabaseOperationsOnSimpleDBTest;
import com.topcoder.document.index.persistence.impl.db.DatabaseUtilsTest;
import com.topcoder.document.index.persistence.impl.db.FastAccessDBIndexPersistenceTest;
import com.topcoder.document.index.persistence.impl.db.SimpleAccessDBIndexPersistenceTest;
import com.topcoder.document.index.persistence.impl.xml.XmlIndexPersistenceTest;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * <p>This test case aggregates all Unit test cases.</p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class UnitTests extends TestCase {

    /**
     * creates the test suite containing all unit tests.
     *
     * @return the test suite containing all unit tests
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();
        suite.addTest(new TestSuite(SimpleAccessDBIndexPersistenceTest.class));
        suite.addTest(new TestSuite(FastAccessDBIndexPersistenceTest.class));
        suite.addTest(new TestSuite(XmlIndexPersistenceTest.class));
        suite.addTest(new TestSuite(PersistenceConfigurationExceptionTest.class));
        suite.addTest(new TestSuite(DatabaseUtilsTest.class));
        suite.addTest(new TestSuite(AbstractDBIndexPersistenceTest.class));
        suite.addTest(new TestSuite(CommonDatabaseOperationsOnSimpleDBTest.class));
        suite.addTest(new TestSuite(CommonDatabaseOperationsOnFastDBTest.class));
        suite.addTest(new TestSuite(UtilsTest.class));
        suite.addTest(new TestSuite(Demo.class));
        return suite;
    }

}
